nvme_mi_mi_read_mi_data_ctrl_list(2)

NAME
nvme_mi_mi_read_mi_data_ctrl_list - Perform a Read MI Data Structure command, retrieving the list of attached controllers.

SYNOPSIS
int nvme_mi_mi_read_mi_data_ctrl_list (nvme_mi_ep_t ep , __u8 start_ctrlid , struct nvme_ctrl_list *list );

ARGUMENTS

ep  endpoint for MI communication

start_ctrlid
    starting controller ID

list
    controller list to populate

DESCRIPTION
Retrieves the list of attached controllers, with IDs greater than or equal to start_ctrlid.

See struct nvme_ctrl_list.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise..